<?php
	session_start();
	include('conexion.php');
	date_default_timezone_set('America/Mexico_City');
	$time = time();
	$tarjeta = $_GET['tarjeta'];
	$fecha_inicio = $_GET['fecha_inicio'];
	$fecha_fin = $_GET['fecha_fin'];
	$fini = date_create($fecha_inicio);
	$finiMuestra =  date_format($fini, 'Ymd');	
	$ffin = date_create($fecha_fin);
	$ffinMuestra =  date_format($ffin, 'Ymd');			
	$_SESSION['tipo'] = 1;
	$total_general = 0;
	$vehiculo = 0;
	
	$path = "./REPORTE CONTROL VEHICULOS.txt";
	
	$sql = "SELECT saldo from transacciones where id_cliente =".$_SESSION["id_cliente"]." and id_turno>= '".$finiMuestra."00"."' and id_turno<='" .$ffinMuestra."06"."' order by id_transaccion desc limit 1";
	$resultado = $iden->query($sql); 
								
	if(!$resultado) 
		die("Error: no se pudo realizar la consulta saldo");
	$_SESSION['saldo_muestra'] = 0;
	while($fila = $resultado->fetch_assoc()) 
	{
		
		$_SESSION['saldo_muestra'] = $fila['saldo'];
	}
	$resultado->free();
	$_SESSION['saldo_muestra'] = number_format($_SESSION['saldo_muestra'], 2, '.', ',');


	$file = fopen($path, "w+");
	fwrite($file, "REPORTE CONTROL VEHICULOS" ."\t\t\t\t".'Fecha:' ."\t". date("Y/m/d  H:i:s", $time) . PHP_EOL);
	fwrite($file, "Cliente "."\t".$_SESSION["id_cliente"]. PHP_EOL);
	fwrite($file, "Razon Social "."\t".$_SESSION['razon_social']. PHP_EOL);
	fwrite($file, "Saldo "."\t".$_SESSION['saldo_muestra']. PHP_EOL);
	fwrite($file, "Fecha Inicio "."\t".$fecha_inicio. PHP_EOL);
	fwrite($file, "Fecha Fin "."\t".$fecha_fin. PHP_EOL);
	fwrite($file, "". PHP_EOL);
		
	$sql = "SELECT ";
	$sql .= "t.id_transaccion, ";
	$sql .= "v.placa, ";
	$sql .= "v.numero_economico, ";
	$sql .= "v.id_tag, ";
	$sql .= "t.fecha, ";
	$sql .= "v.conductor, ";
	$sql .= "p.nombre, ";
	$sql .= "td.volumen, ";
	$sql .= "td.precio, ";
	$sql .= "td.monto, ";
	$sql .= "t.id_vehiculo, ";				
	$sql .= "ve.id_venta, ";		
	$sql .= "ve.fecha_venta ";	
	$sql .= "FROM ";
	$sql .= "productos p, ";
	$sql .= "transacciones t ";
	$sql .= "left join transacciones_detalle td ";
	$sql .= "on(t.id_transaccion = td.id_transaccion) ";
	$sql .= "left join gaslight.ventas ve ";
	$sql .= "on(td.id_venta = ve.id_venta) ";
	$sql .= "left join vehiculos v ";
	$sql .= "on(t.id_vehiculo = v.id_vehiculo) ";
	$sql .= "where ";		
	$sql .= "p.id_producto = td.id_producto ";		
	//$sql .= "and (t.fecha between '" . $fecha_inicio ."' and '" . $fecha_fin . "') ";
	$sql .= "and t.id_tipo = 1 ";
	$sql .= "and t.estatus = 1 ";
	$sql .= "and t.id_cliente = " . $_SESSION['id_cliente'] . " " ;
	$sql .=" and t.id_turno>= '" .$finiMuestra."00"."' and t.id_turno<='" .$ffinMuestra."06"."' ";
	if($tarjeta != 0)
		$sql .= "and t.id_vehiculo = " . $tarjeta . " " ;
	$sql .= "order by id_vehiculo,fecha ";
	
	$resultado1 = $iden->query($sql); 								
	if(!$resultado1) 
		die("Error: no se pudo realizar la consulta estacion" .$sql);
		
	$número_filas = $resultado1->num_rows;				
	$vehiculo_litros = 0;
	$vehiculo_monto = 0;			
	$inicio = 0;
	
	if($número_filas > 0)
	{			
		while($fila = $resultado1->fetch_assoc()) 
		{			
			$marca = $fila['placa'];
			$modelo = $fila['numero_economico'];
			$id_tag = $fila['id_tag'];				
			$fecha_contable = $fila['fecha'];		
			$date = date_create($fecha_contable);
			$fechaMuestra =  date_format($date, 'Y-m-d');
			$vehiculo_n = $fila['id_vehiculo'];
			$volumen = $fila['volumen'];			
			$monto = $fila['monto'];
			if($inicio == 0)
			{
				fwrite($file, "PLACA: "."\t". $marca. PHP_EOL);
				fwrite($file, "No. ECONOMICO: "."\t". $modelo. PHP_EOL);
				fwrite($file, "TAG: "."\t". $id_tag. PHP_EOL);
				fwrite($file, "". PHP_EOL);
				fwrite($file, 'TRANS'."\t".'FECHA'."\t".'ID VENTA'."\t".'FECHA_VENTA'."\t".'CONDUCTOR'."\t".'PRODUCTO'."\t".'VOLUMEN'."\t".'PRECIO'."\t".'MONTO'. PHP_EOL);
				fwrite($file, "". PHP_EOL);
				$vehiculo = $vehiculo_n;
				$inicio = 1;				
			}					
			if($vehiculo_n != $vehiculo)
			{				
				$vehiculo_litrosMuestra = number_format($vehiculo_litros, 3, '.', ',');
				$vehiculo_montoMuestra = number_format($vehiculo_monto, 2, '.', ',');
				fwrite($file, "". PHP_EOL);
				fwrite($file, "\t\t\t\t\t".'TOTAL VEHICULO '."\t".$vehiculo_litrosMuestra."\t\t".$vehiculo_montoMuestra. PHP_EOL);
				fwrite($file, "". PHP_EOL);				
				fwrite($file, "PLACA: "."\t". $marca. PHP_EOL);
				fwrite($file, "No. ECONOMICO: "."\t". $modelo. PHP_EOL);
				fwrite($file, "TAG: "."\t". $id_tag. PHP_EOL);
				fwrite($file, "". PHP_EOL);
				fwrite($file, 'TRANS'."\t".'FECHA'."\t".'ID VENTA'."\t".'FECHA_VENTA'."\t".'CONDUCTOR'."\t".'PRODUCTO'."\t".'VOLUMEN'."\t".'PRECIO'."\t".'MONTO'. PHP_EOL);
				fwrite($file, "". PHP_EOL);				
				$vehiculo = $vehiculo_n;
				$vehiculo_litros = 0;
				$vehiculo_monto = 0;				
			}
			$vehiculo_litros = $vehiculo_litros + $volumen;
			$vehiculo_monto = $vehiculo_monto + $monto;
			$volumenMuestra = number_format($fila['volumen'], 3, '.', ',');
			$montoMuestra = number_format($fila['monto'], 2, '.', ',');
			fwrite($file, $fila['id_transaccion']."\t".$fechaMuestra."\t".$fila['id_venta']."\t".$fila['fecha_venta']."\t".$fila['conductor']."\t".$fila['nombre']."\t".$volumenMuestra."\t".$fila['precio']."\t".$montoMuestra. PHP_EOL);
			fwrite($file, "". PHP_EOL);
		}
		$resultado1->free();
		fwrite($file, "". PHP_EOL);
		$vehiculo_litrosMuestra = number_format($vehiculo_litros, 3, '.', ',');
		$vehiculo_montoMuestra = number_format($vehiculo_monto, 2, '.', ',');
		fwrite($file, "\t\t\t\t\t".'TOTAL VEHICULO '."\t".$vehiculo_litrosMuestra."\t\t".$vehiculo_montoMuestra. PHP_EOL);
		fwrite($file, "". PHP_EOL);				
		$vehiculo_litros = 0;
		$vehiculo_monto = 0;		
		$vehiculo = $vehiculo_n;	
	}	
	fwrite($file, "". PHP_EOL);				
	$sql = "SELECT ";
	$sql .= "p.nombre, ";
	$sql .= "sum(td.volumen) as volumen, ";
	$sql .= "sum(td.monto) as monto ";
	$sql .= "FROM  ";
	$sql .= "productos p, ";
	$sql .= "transacciones t ";
	$sql .= "left join transacciones_detalle td ";
	$sql .= "on(t.id_transaccion = td.id_transaccion) ";
	$sql .= "left join vehiculos v ";
	$sql .= "on(t.id_vehiculo = v.id_vehiculo) ";
	$sql .= "where ";
	$sql .= "p.id_producto = td.id_producto ";
	//$sql .= "and (t.fecha between '" . $fecha_inicio ."' and '" . $fecha_fin . "') ";
	$sql .= "and t.id_tipo = 1 ";
	$sql .= "and t.estatus = 1 ";
	$sql .= "and t.id_cliente =" .$_SESSION["id_cliente"]. " ";
	$sql .=" and t.id_turno>= '" .$finiMuestra."00"."' and t.id_turno<='" .$ffinMuestra."06"."' ";
	if($tarjeta != 0)
		$sql .= "and t.id_vehiculo = " . $tarjeta . " " ;
	$sql .= "group by td.id_producto ";
	$sql .= "order by td.id_producto;";

	$resultado1 = $iden->query($sql); 								
	if(!$resultado1) 
		die("Error: no se pudo realizar la consulta estacion" .$sql);
	
	$número_filas = $resultado1->num_rows;
		
	if($número_filas > 0)
	{
		fwrite($file, "RESUMEN POR PRODUCTO". PHP_EOL);				
		fwrite($file, "". PHP_EOL);				
		fwrite($file, 'Producto'."\t".'Volumen'."\t".'Monto'. PHP_EOL);				
		fwrite($file, "". PHP_EOL);				
		$tot_est= 0;
		$tot_v_est= 0;
		$tot_est_g= 0;
		$tot_v_est_g= 0;
		$inicio = 0;
		while($fila = $resultado1->fetch_assoc()) 
		{					
			$volumen  = $fila['volumen'];
			$monto = $fila['monto'];						
			$tot_est_g = $tot_est_g + $tot_est;
			$tot_v_est_g = $tot_v_est_g + $tot_v_est;
			$tot_v_estMuestra = number_format($tot_v_est, 2, '.', ',');
			$tot_estMuestra = number_format($tot_est, 2, '.', ',');				
			$tot_est= 0;
			$tot_v_est= 0;
			$est = $est_n;
			$tot_est = $tot_est + $monto;
			$tot_v_est = $tot_v_est + $volumen;
			$volMuestra = number_format($fila['volumen'], 2, '.', ',');
			$monMuestra = number_format($fila['monto'], 2, '.', ',');			
			
			fwrite($file, $fila['nombre']."\t".$volMuestra."\t".'$' . $monMuestra. PHP_EOL);	
			fwrite($file, "". PHP_EOL);				
		}
		$resultado1->free();
		
		$tot_est_g = $tot_est_g + $tot_est;
		$tot_v_est_g = $tot_v_est_g + $tot_v_est;
		$tot_v_est_gMuestra = number_format($tot_v_est_g, 2, '.', ',');
		$tot_est_gMuestra = number_format($tot_est_g, 2, '.', ',');
		$tot_v_estMuestra = number_format($tot_v_est, 2, '.', ',');
		$tot_estMuestra = number_format($tot_est, 2, '.', ',');		
		$tot_est= 0;
		$tot_v_est= 0;
		$est = $est_n;		
		
		fwrite($file,'Gran Total'."\t".$tot_v_est_gMuestra."\t".'$' . $tot_est_gMuestra. PHP_EOL);			
	}	
	mysqli_close($iden);
	fclose($file);
	if (file_exists($path)) {
		header('Content-Description: File Transfer');
		header('Content-Type: application/octet-stream');
		header('Content-Disposition: attachment; filename="'.basename($path).'"');
		header('Expires: 0');
		header('Cache-Control: must-revalidate');
		header('Pragma: public');
		header('Content-Length: ' . filesize($path));
		ob_clean();
		flush();
		readfile($path);
		exit;
	}
?>